### A free/open-source library for quantitative finance

Public Member Functions
IborCouponPricer Class Reference

base pricer for capped/floored Ibor coupons More...

`#include <ql/cashflows/couponpricer.hpp>`

Inheritance diagram for IborCouponPricer:
[legend]

List of all members.

## Public Member Functions

| IborCouponPricer (const Handle< OptionletVolatilityStructure > &v=Handle< OptionletVolatilityStructure >())
Handle < OptionletVolatilityStructure > | capletVolatility () const
void | setCapletVolatility (const Handle< OptionletVolatilityStructure > &v=Handle< OptionletVolatilityStructure >())

## Detailed Description

base pricer for capped/floored Ibor coupons